<?php 
session_start();
include_once '../../conexao/index.php';
error_reporting(E_ALL);
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/*Variaveis do Sistema*/
/*********************************************/
$userID = $_SESSION['idUsuario'] ?? null;
$userNOME = $_SESSION['nomeUsuario'] ?? null;
$userCATE = $_SESSION['categoriaUsuario'] ?? null;
/*********************************************/

$mesa = $_POST['mesa'];

$sql = "SELECT * FROM pos_mesas_temp_artigos WHERE mesa = ? ";
$stmt = mysqli_prepare($db, $sql);
mysqli_stmt_bind_param($stmt, "i", $mesa);
mysqli_stmt_execute($stmt);
$result = mysqli_stmt_get_result($stmt); // Obter o resultado da consulta
if ($result) {
    if(mysqli_num_rows($result) > 0) {
        echo 1;
    }else{
      $sql = "UPDATE mesas SET status = 0 WHERE numero = ? ";
      $stmt = mysqli_prepare($db, $sql);
      mysqli_stmt_bind_param($stmt, "i", $mesa);
      mysqli_stmt_execute($stmt);
      $result = mysqli_stmt_get_result($stmt); // Obter o resultado da consulta
      if ($result) {
          echo 2;
      }
    }
}